Subject: [bug#44900] [PATCH] services: unattended-upgrade: Add 'search-paths' field.

From: Lars-Dominik Braun <[email-masked]>
Date: Tue, 15 Dec 2020 09:17:13 +0100

Hi,

> >   2. Turn your modules into a channel.  Nice because there’s no need for
> >      a special case, modules are automatically updated at each upgrade,
> >      etc., but OTOH requires more paperwork.
> I feel this might be the best option and I’ll give it a try.
I’ve implemented this now and it is indeed a very good solution. For anyone
stumbling on this issue, I’m using the following service configuration:

---snip---
(unattended-upgrade-configuration
(channels #~(cons* (channel
					(name 'psychnotebook-deploy)
					(url "https://github.com/leibniz-psychology/psychnotebook-deploy.git")
					(introduction
					 (make-channel-introduction
					  "02ae8f9f647ab9650bc9211e728841931f25792c"
					  (openpgp-fingerprint
					   "CA4F 8CF4 37D7 478F DA05  5FD4 4213 7701 1A37 8446"))))
			 %default-channels))
 (operating-system-file
  (scheme-file "config.scm"
	#~(@ (zpid machines yamunanagar os) yamunanagar-os)))
 (schedule "55 13 * * *")
 (services-to-restart '(nginx ntpd guix-publish ssh-daemon mcron)))
---snap---

So, I’m fine with closing this as wontfix.

Cheers,
Lars

-- 
Lars-Dominik Braun
Wissenschaftlicher Mitarbeiter/Research Associate

www.leibniz-psychology.org
ZPID - Leibniz-Institut für Psychologie /
ZPID - Leibniz Institute for Psychology
Universitätsring 15
D-54296 Trier - Germany
Tel.: +49–651–201-4964